#ifndef SHROOMS_VB_NATIVE_AUDIO_
#define SHROOMS_VB_NATIVE_AUDIO_

#include <SDL2/SDL.h>
#include <stdbool.h>

typedef struct {
    SDL_AudioDeviceID id;
    bool paused;
    uint32_t buffers[2][834];
    int current;
    int filled;
} AudioContext;

int audioInit(AudioContext *aud);
void audioDestroy(AudioContext *aud);
int audioUpdate(AudioContext *aud, void *data, uint32_t bytes);

#endif